const { Builder } = require('selenium-webdriver'),
  chrome = require('selenium-webdriver/chrome.js'),
  chromeOptions = new chrome.Options();

chromeOptions.addArguments('--headless', '--disable-gpu', '--no-sandbox');
chromeOptions.enableBidi();

let driver;

beforeEach(async () => {
  const builder = new Builder().forBrowser('chrome').setChromeOptions(chromeOptions);
  driver = builder.build();
});

it.todo('loads default scenario on initial page load');
it.todo('loads previously-loaded scenario on page refresh');
it.todo('loads built-in scenario from dialog');
it.todo('loads custom scenario directly from file');
it.todo('loads saved scenario from file');

afterEach(async () => {
  await driver.quit();
});
